<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity SalesOrder.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idinternal"
                                 baseTableName="sales_order"
                                 constraintName="fk_sales_order_internal_id"
                                 referencedColumnNames="idinternal"
                                 referencedTableName="internal"/>

        <addForeignKeyConstraint baseColumnNames="idcustomer"
                                 baseTableName="sales_order"
                                 constraintName="fk_sales_order_customer_id"
                                 referencedColumnNames="idcustomer"
                                 referencedTableName="customer"/>

        <addForeignKeyConstraint baseColumnNames="idbillto"
                                 baseTableName="sales_order"
                                 constraintName="fk_sales_order_bill_to_id"
                                 referencedColumnNames="idbillto"
                                 referencedTableName="bill_to"/>

        <addForeignKeyConstraint baseColumnNames="idsaleType"
                                 baseTableName="sales_order"
                                 constraintName="fk_sales_order_sale_type_id"
                                 referencedColumnNames="idsaletype"
                                 referencedTableName="sale_type"/>

    </changeSet>
</databaseChangeLog>
